<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Chirsty
 * @since Chirsty 1.0
 *
 */
get_header(); ?>

	<div id="primary" class="content-area row-bk">
		<div class="row">
			<div class="col-md-12">
				<div class="chirsty-not-found">
					<div class="error-404-box">
						<div class="error-message"><?php echo esc_html__( '404', 'chirsty' ); ?>
						<p class="lead2"><?php echo esc_html__( 'We are sorry but something went wrong...', 'chirsty' ); ?></p>
						<p class="lead1"><?php echo esc_html__( 'It looks like nothing was found at this location.', 'chirsty' ); ?></p>
					</div>
				</div>
			</div>
		</div>
</div>

<?php get_footer(); ?>



