<?php

	$main_font = chirsty_get_option('main_font');
	$h1_font = chirsty_get_option('h1_font');
	$h2_font = chirsty_get_option('h2_font');
	$h3_font = chirsty_get_option('h3_font');
	$h4_font = chirsty_get_option('h4_font');
	$h5_font = chirsty_get_option('h5_font');
	$h6_font = chirsty_get_option('h6_font');
	$nav_font = chirsty_get_option('nav_font');

	$color_header_bg = chirsty_hex2rgba(chirsty_get_option('color_header_bg'),chirsty_get_option('header_bg_opacity'));
	$a_color_header_txt = chirsty_get_option('a_color_header_txt');
	$a_color_header_hov = chirsty_get_option('a_color_header_hov');
	$color_nav_bg = chirsty_get_option('color_nav_bg');
	$color_top_bg = chirsty_get_option('color_top_bg');
	$color_nav_a = chirsty_get_option('color_nav_a');
	$color_nav_a_hov = chirsty_get_option('color_nav_a_hov');
	$menu_bg_img = chirsty_get_option_media('menu_bg_img');
	$menu_bg_style = chirsty_get_option('menu_bg_style');

	if(!empty(chirsty_get_option('sub_header_bg_color'))){
		$bgcolor = chirsty_get_option('sub_header_bg_color');
	}else{
		$bgcolor = '#eeeeee';
		
	}

	$img_footer_bg = chirsty_get_option_media('img_footer_bg');
	$sub_header_bg_img = chirsty_get_option_media('sub_header_bg_img');
	$sub_header_bg_color = $bgcolor;
	$color_nav_ab = chirsty_get_option('color_nav_ab');
	$color_sub_header_txt = chirsty_get_option('color_sub_header_txt');
	$color_breadcrumbs_txt_a = chirsty_get_option('color_breadcrumbs_txt_a');
	$color_breadcrumbs_txt_a_hover = chirsty_get_option('color_breadcrumbs_txt_a_hover');

	// Body
	$hmain_font = chirsty_get_option('hmain_font');
	$color_a_text = chirsty_get_option('color_a_text');
	$color_a_hov = chirsty_get_option('color_a_hov');
	$color_body_boxed_bg = chirsty_get_option('color_body_boxed_bg');
	$body_bg_img = chirsty_get_option_media('body_bg_img');
	$body_bg_style = chirsty_get_option('body_bg_style');

	//Content
	$color_content_bg = chirsty_get_option('color_content_bg');
	$color_content_bg_sticky = chirsty_get_option('color_content_bg_sticky');
	$color_entry_title_a = chirsty_get_option('color_entry_title_a');
	$color_entry_title_a_h = chirsty_get_option('color_entry_title_a_h');
	$color_content_txt = chirsty_get_option('color_content_txt');
	$color_content_meta = chirsty_get_option('color_content_meta');
	$author_bg_color = chirsty_get_option('author_bg_color');
	$author_txt_color = chirsty_get_option('author_txt_color');

	//Sidebar
	$color_sidebar_bg = chirsty_get_option('color_sidebar_bg');
	$color_sidebar_txt_h = chirsty_get_option('color_sidebar_txt_h');
	$color_sidebar_txt = chirsty_get_option('color_sidebar_txt');
	$color_sidebar_txt_hov = chirsty_get_option('color_sidebar_txt_hov');

	//General
	$main_colorr = chirsty_get_option('main_colorr');
	
	//Footer
	$color_footer_bg = chirsty_get_option('color_footer_bg');
	$color_footer_txt_a = chirsty_get_option('color_footer_txt_a');
	$color_footer_txt_h = chirsty_get_option('color_footer_txt_h');
	$color_footer_txt = chirsty_get_option('color_footer_txt');
	$color_footer_txt_hov = chirsty_get_option('color_footer_txt_hov');
?>

.rpwwt-widget ul {
	margin-top: 0px !important;
}

@media (min-width: 1024px) {
#site-nav.transparent{
	background: transparent !important ;
}
}

#site-nav.transparent.sticky-header{
	background: #222222 !important ;
}

#site-nav {
	background-color: <?php echo esc_attr($menu_bg_style['background-color']); ?>;
	color: <?php echo esc_attr($main_font['color']); ?>;
}

#top-bar small {
	color: <?php echo esc_attr($a_color_header_txt); ?>;
}
#top-bar a {
	color: <?php echo esc_attr($a_color_header_txt); ?>;
}

#top-bar a:hover {
	color: <?php echo esc_attr($a_color_header_hov); ?>;
}

.tp-btn {
	background: <?php echo esc_attr($a_color_header_hov); ?>;
}
.subnav-contact .phone-contact i,
.subnav-contact .email-contact i {
	color: <?php echo esc_attr($a_color_header_txt); ?>;
}

@media (min-width: 1024px) { 
.navbar-default .navbar-nav > li > a:hover,
.social_menu a:hover {
	color: <?php echo esc_attr($color_nav_a_hov); ?> !important;
}
}
.ft_social_btn li:hover i {
	background: <?php echo esc_attr($color_nav_a_hov); ?> !important;
	color:#fff;
}
.sticky .cat-links,
.sticky .tags-links,
.sticky entry-footer,
.sticky a,
.sticky .posted-on {
color: <?php echo esc_attr($color_sub_header_txt); ?>;
}
.sticky .entry-title a {
color: <?php echo esc_attr($color_sub_header_txt); ?>;
}
.sticky {
background: <?php echo esc_attr($color_sidebar_txt_hov); ?>;
color: <?php echo esc_attr($color_sub_header_txt); ?>;
}
.inside-pb:hover {
	background:<?php echo esc_attr($main_colorr); ?> !important;
}
.sub-header-title{
	color: <?php echo esc_attr($color_nav_ab); ?>;
}
.navbar-default .navbar-nav > li > a {
	color: <?php echo esc_attr($color_nav_a); ?>;
	font-size: <?php echo esc_attr($nav_font['font-size']); ?>;
	font-weight: <?php echo esc_attr($nav_font['font-weight']); ?>;
	font-family: <?php echo esc_attr($nav_font['font-family']); ?>;
}
.social_menu a {
	color: <?php echo esc_attr($color_nav_a); ?>;
}
.dropdown-menu > li > a {
	font-family: <?php echo esc_attr($nav_font['font-family']); ?>;
}
.social_menu i {
	color: <?php echo esc_attr($color_nav_a); ?>;
}
#site-menu .navbar-nav > .open > a, 
#site-menu .navbar-nav > .open > a:focus, 
#site-menu .navbar-nav > .open > a:hover, 
#site-menu .navbar-nav > .active > a, 
#site-menu .navbar-nav > .active > a:focus, 
#site-menu .navbar-nav > .active > a:hover, 
#site-menu .navbar-nav > li > a:focus, 
#site-menu .navbar-nav > li > a:hover, 
.nav .open > a, 
.nav .open > a:focus, 
.nav .open > a:hover{
	color: <?php echo esc_attr($color_nav_a_hov); ?>;
	
}

#sub-header {
	<?php if(!empty($sub_header_bg_img)): ?>
	background: url('<?php echo esc_url($sub_header_bg_img); ?>') center center repeat;
	<?php else: ?>
	background:#222222;
	<?php endif; ?>
	color: <?php echo esc_attr($color_sub_header_txt); ?>;
}
body p {
	color: <?php echo esc_attr($main_font['color']); ?>;
	font-family: <?php echo esc_attr($main_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($main_font['font-weight']); ?>;
	font-size: <?php echo esc_attr($main_font['font-size']); ?>;
}
#content,
body {
	background-color: <?php echo esc_attr($body_bg_style['background-color']); ?>;
	color: <?php echo esc_attr($main_font['color']); ?>;
	font-family: <?php echo esc_attr($main_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($main_font['font-weight']); ?>;
	font-size: <?php echo esc_attr($main_font['font-size']); ?>;
	line-height: 1.9;
}

#sidebar .widget_archive li a:hover,
#sidebar li.cat-item a:hover,
#sidebar .widget_archive li:hover a,
#sidebar li.cat-item:hover a {
	color: <?php echo esc_attr($a_color_header_hov); ?> !important;
}
a {
	color: <?php echo esc_attr($color_a_text); ?>;
}

.navbar-default .navbar-nav > .active > a,
.navbar-default .navbar-nav > .active > a:hover,
.navbar-default .navbar-nav > .active > a:focus {
	color: <?php echo esc_attr($color_nav_a_hov); ?>;
	transition: all .3s
}
.hentry {
	background-color: <?php echo esc_attr($color_sidebar_bg); ?>;
}
.blog .sticky {
	background: <?php echo esc_attr($main_colorr); ?> !important;
}

.entry-title a:hover {
	color: <?php echo esc_attr($color_nav_a_hov); ?>;
}

.entry-footer,
.entry-meta {
	color: <?php echo esc_attr($color_content_meta); ?>;
}

.author-bio {
	background: <?php echo esc_attr($author_bg_color); ?>;
	color: <?php echo esc_attr($author_txt_color); ?>;
}	
.hentry {
	padding:39px 46px 39px 46px;
}

.archive .hentry {
	padding:33px 46px 39px 46px;
}
#sidebar .widget {
	background-color: <?php echo esc_attr($color_sidebar_bg); ?>;
}

.widget-title {
	color: <?php echo esc_attr($color_sidebar_txt_h); ?>;
}
#sidebar .widget-title {
	color: <?php echo esc_attr($color_sidebar_txt_h); ?> !important;
}
#sidebar a {
	color: <?php echo esc_attr($color_sidebar_txt); ?>;
}

#sidebar a:hover, 
#sidebar a:active, 
#sidebar a:focus {
	color: <?php echo esc_attr($color_sidebar_txt_hov); ?> !important;
}
.dropdown-menu > li a:hover,
.dropdown-menu > li > a:focus, 
.dropdown-menu > li > a:hover, 
.dropdown-menu > .active > a, 
.dropdown-menu > .active > a:focus, 
.dropdown-menu > .active > a:hover  {
	background: #d40708 !important;
	color: <?php echo esc_attr($color_nav_a_hov); ?> !important;
	
}
.widget_recent_entries li a:before {
	background: <?php echo esc_attr($main_colorr); ?> !important;
}


.footer-wrapper,
.color_footer_bg {
	background:	<?php echo esc_attr($color_footer_bg); ?> !important;
}

.social-bar-text,
.copyright-message a,
.copyright-message {
	color: <?php echo esc_attr($color_footer_txt); ?>;
	z-index:999;
	position:relative;
}
.footer-wrapper a,
.footer-nav li a {
	color: <?php echo esc_attr($color_footer_txt_a); ?>;
}

.footer-wrapper a:hover, 
.footer-wrapper a:active, 
.footer-wrapper a:focus {
	color: <?php echo esc_attr($color_footer_txt_hov); ?>;
}

.footer-widget-title {
	color: <?php echo esc_attr($color_footer_txt_h); ?>;
}

h1,
.h1 {
	font-size: <?php echo esc_attr($h1_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h1_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h1_font['font-weight']); ?>;
}

h2,
.h2 {
	font-size: <?php echo esc_attr($h2_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h2_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h2_font['font-weight']); ?>;
}

h3,
.h3 {
	font-size: <?php echo esc_attr($h3_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h3_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h3_font['font-weight']); ?>;
	line-height: 1.4;
}

h4,
.h4 {
	font-size: <?php echo esc_attr($h4_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h4_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h4_font['font-weight']); ?>;
}

h5,
.h5 {
	font-size: <?php echo esc_attr($h5_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h5_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h5_font['font-weight']); ?>;
}

h6,
.h6 {
	font-size: <?php echo esc_attr($h6_font['font-size']); ?>;
	font-family: <?php echo esc_attr($h6_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($h6_font['font-weight']); ?>;
}

.navbar-default {
	font-family: <?php echo esc_attr($nav_font['font-family']); ?>;
	font-weight: <?php echo esc_attr($nav_font['font-weight']); ?>;
	font-size: <?php echo esc_attr($nav_font['font-size']); ?>;
}

@media (min-width: 1024px) { 
#top-bar {
	background: transparent;
}
}
.entry-title a:hover,
.blog .byline a:hover,
.archive .byline a:hover,
.posted-on a:hover,
.posted-on:hover .entry-date::before,
.byline:hover .author::before {
	color:<?php echo esc_attr($main_colorr); ?>;
}

.ft-newsletter .btn-newsletter {
	background:<?php echo esc_attr($main_colorr); ?> !important;
}

.pager > .active > a,
.pager > .active > a:focus,
.pager > .active > a:hover,
.pager > .active > span,
.pager > .active > span:focus,
.pager > .active > span:hover,
.pager li > a:hover,
.pager li > a:focus,
#return-to-top,
.sidenav2,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
	background:<?php echo esc_attr($main_colorr); ?> !important;
} 
.vp-portfolio:hover .vp-portfolio__items-arrow  {
background:<?php echo esc_attr($main_colorr); ?> !important;
	color:#fff;
	opacity: 1;
}
.pager li > a:hover,
.pager li > a:focus,
.ft-newsletter .btn-newsletter {
	border:1px solid <?php echo esc_attr($main_colorr); ?> !important;
}
.sidenav2 hr {
	border-top: 1px solid #fff !important;
	opacity:0.1;
}

.single .comments-area a:hover {
	color:<?php echo esc_attr($main_colorr); ?> ;
} 
.search .vcard a:hover,
.tag .vcard a:hover,
.tag .posted-on a:hover {
	color:<?php echo esc_attr($main_colorr); ?> !important;
} 
.tag .entry-title a:hover,
.posted-on:hover {
	color:<?php echo esc_attr($main_colorr); ?> !important;
} 
.tag .widget-area a:hover {
	color:<?php echo esc_attr($main_colorr); ?> !important;
}
.single .widget-area a:hover {
	color:<?php echo esc_attr($main_colorr); ?> !important;
}

.box-social-ab a {
	background:<?php echo esc_attr($main_colorr); ?>;
}

.box-text-blog {
	background:<?php echo esc_attr($main_colorr); ?>;
}
