<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Chirsty
 * @since Chirsty 1.0
 */

get_header(); 
$col= 'col-md-12';
if ( is_active_sidebar( 'sidebar' ) ) {
    $col = 'col-md-8';
} ?>     
<div class="main-content-area">
	<div class="container clearfix">
		<div class="row">
			<div id="primary" class="content-area <?php echo esc_attr( $col ); ?>" role="main">	
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'loop/content', get_post_format()); ?>
				<?php endwhile; ?>
				<div class="pagination">
					<?php the_posts_pagination(); ?>
				</div>
				<?php else : ?>
				<?php get_template_part( 'loop/content', 'none' ); ?>
				<?php endif; ?>
			</div> <!--/#content -->
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>