<?php
/**
 * @package Chirsty
 * @since Chirsty 1.0
 */

?>

<?php if (post_password_required()) { ?>
   
<?php return; } ?>

<div id="comments" class="comments-area">


	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
	?>
	<h3 class="comments-header">
		<?php
		$chirsty_comment_count = get_comments_number();
		if ( '1' === $chirsty_comment_count ) {
		printf(
		/* translators: 1: title. */
		esc_html__( 'One thought on &ldquo;%1$s&rdquo;', 'chirsty' ),
		'<span>' . get_the_title() . '</span>'
			);
			} else {
			printf( 
				esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $chirsty_comment_count, 'comments title', 'chirsty' ) ),
				number_format_i18n( $chirsty_comment_count ),
				'<span>' . get_the_title() . '</span>'
				);
			}
			?>
	</h3><!-- .comments-title -->

	<?php the_comments_navigation(); ?>
	<div class="comment-list">
		<ul class="cmml"><?php wp_list_comments( array( 'callback' => 'chirsty_comment' ) ); ?></ul>
	</div><!-- .comment-list -->

	<?php
	the_comments_navigation();
	// If comments are closed and there are comments, let's leave a little note, shall we?
	if ( ! comments_open() ) :
	?>
	<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'chirsty' ); ?></p>
	<?php
	endif;
	endif; // Check for have_comments().
	comment_form(
			array(
				'id_form'              => 'form comms',
				'class_form'           => 'rowcc',
				'fields'               => array(
					'author'            => '<p class="comment-form-author"><input id="author" class="form-control input-style-2" type="text" name="author"  placeholder="'. esc_attr__( 'Name', 'chirsty') .'" required /></p>',
					'email'             => '<p class="comment-form-email"><input name="email" id="email" class="form-control input-style-2" type="email" placeholder="'. esc_attr__( 'Email address', 'chirsty') .'" required /></p>',
					'url'           => '<p class="comment-form-url"><input id="url" class="form-control input-style-2" name="url" type="text"  placeholder="'. esc_attr__( 'http://example.com', 'chirsty') .'" /></p>',
				),
				'comment_field'        => '<p class="comment-form-comment"><textarea cols="30" id="message" class="form-control input-style-2" name="comment" rows="3" placeholder="'. esc_attr__( 'Enter your comment', 'chirsty') .'" required></textarea></p>',
				'must_log_in'          => '',
				'logged_in_as'         => '',
				'comment_notes_before' => '',
				'comment_notes_after'  => '',
				'title_reply'          => '',
				'title_reply_to'       => esc_html__('Leave a Reply to %s', 'chirsty' ),
				'cancel_reply_link'    => esc_html__('Cancel', 'chirsty' ),
				'label_submit'         => esc_html__('Submit', 'chirsty' ),
				'submit_button'        => '<p class="form-submit"><button type="submit" class="submit btn-default elementor-animation-push"><span>' . esc_html__('Post Comment', 'chirsty') . '</span></button></p>',
				'submit_field'         => '%1$s %2$s',
			)
		); 
	?>

</div><!-- #comments -->