<?php
/*
 * @package Chirsty
 * @since Chirsty 1.0
 */

get_header(); 
$col= 'col-md-12';
if ( is_active_sidebar( 'sidebar-3' ) ) {
    $col = 'col-md-8';
} ?> 
<div class="main-content-area">
	<div class="container clearfix">
		<div class="row">
			<div id="primary" class="content-area <?php echo esc_attr( $col ); ?>">
			
				<?php if ( have_posts() ) : ?>
					<?php while ( have_posts() ) : the_post(); ?>
						<?php
						get_template_part( 'loop/content', get_post_format() );
						?>
					<?php endwhile; ?>

				<?php else : ?>
					<?php get_template_part( 'loop/content', 'none' ); ?>
				<?php endif; ?>
				
				<?php the_posts_pagination(); ?>
				 
			</div><!-- #endprimary -->
			
			<?php get_sidebar('blog'); ?>
 
		</div>
	</div>
</div>

<?php get_footer(); ?>