<?php
/**
 * The Template for displaying all single posts.
 *
 * Please note that this is the WordPress construct of posts
 * and that other 'posts' on your WordPress site will use a
 * different template.
 *
 * @package Chirsty
 * @since Chirsty 1.0
 *
 */

get_header(); 
$col= 'col-md-12';
if ( is_active_sidebar( 'sidebar' ) ) {
    $col = 'col-md-8';
} ?>   

<div class="main-content-area">
	<div class="container clearfix">
		<div class="row">
			<div id="primary" class="content-area <?php echo esc_attr( $col ); ?>">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'loop/content', 'single', get_post_format() ); ?>
					<?php if (chirsty_get_option('post_navigation')) { ?>
					<?php chirsty_content_nav( 'nav-below' ); ?>
					<?php } ?>
					<?php
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;
					?>
				<?php endwhile; // end of the loop. ?>
			</div> <!-- #primary -->
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>