#{{uc_id}},
#{{uc_id}} .ue-audio-player__wrapper {
	position: relative;
    text-align:center;
}
 
#{{uc_id}} .ue-audio-player__container--content {
  	justify-content: center;
  	align-items: center;
}

#{{uc_id}} .ue-audio-player__element__thumbnail {
  height: auto;
}

#{{uc_id}} .mejs__container,
.mejs__controls:not([style*="display: none"]) { 
	background: transparent;
}

#{{uc_id}} .mejs__controls{
  display:block;
  flex-wrap: wrap;
  justify-content:center;
  padding:0;
}

#{{uc_id}} .mejs__button {
	display: {{hide}} !important;
    align-items: center;
    justify-content: center;
    flex-shrink:0;
    flex-grow:0;
    width:57px;
    height:57px;
  
}
.mejs__controls:not([style*="display: none"]) {
  background: linear-gradient(transparent,rgba(0,0,0,0)) !important;
}

.mejs__horizontal-volume-slider
{
    flex-shrink:0;
    flex-grow:0;
}

#{{uc_id}} .mejs__button > button { 
  	background: none;
  	font-family: "Font Awesome 5 Free";
  	font-weight: 900;
}

#{{uc_id}} .mejs__play>button::before { 
	content: "\{{play_icon|raw}}";
    font-size:16px !important;
    line-height:16px;
}

#{{uc_id}} .mejs__pause>button::before { 
	content: "\{{pause_icon|raw}}";
    font-size:16px !important;
    line-height:16px;
}
#{{uc_id}} .mejs__playpause-button:hover {
background-color: {{color_bg_hover}};
border-color: {{color_bg_hover}};
}
#{{uc_id}} .mejs__playpause-button:hover > button {
color: {{color_icon_hover}};
}

#{{uc_id}} .mejs__mute>button::before { 
	content: "\{{mute_icon|raw}}";
    font-size:16px !important;
    line-height:16px;
}

#{{uc_id}} .mejs__unmute>button::before { 
	content: "\{{unmute_icon|raw}}";
    font-size:16px !important;
    line-height:16px;
}

#{{uc_id}} .mejs__button,
#{{uc_id}} .mejs__button:hover,
#{{uc_id}} .mejs__button > button,
#{{uc_id}} .mejs__button > button:hover {
transition: all 500ms ease 0s;
}

#{{uc_id}} .mejs__time-total, 
#{{uc_id}} .mejs__time-loaded, 
#{{uc_id}} .mejs__time-current,
#{{uc_id}} .mejs__horizontal-volume-total,
#{{uc_id}} .mejs__horizontal-volume-current{
  border-radius: 0px;
}


#{{uc_id}} .mejs__time-loaded {
  background: {{progress_bar_track_color}};
}

#{{uc_id}} .mejs__time-current {
  background: {{progress_bar_progress_color}};
}

#{{uc_id}} .mejs__time
{
  flex-grow:0;
  flex-shrink:0;
}
#{{uc_id}} button {
  min-width: 57px !important;
}
#{{uc_id}}download {
display: inline-block;
text-align: center;
transition: 0.3s;
width: 57px;
height: 57px;
vertical-align: middle;
margin-top: -22px;
}