.videoul li {
display:inline;
list-style:none;
}
.videoul li:first-child {
padding-right:10px;
}
.videoul li i {
padding-right:5px;
}

.{{uc_id}}.videos-scroll ul {
padding-left: 0px !important;
margin-left:0;
list-style:none;
width: 100%;
}
.ml-auto, 
.mx-auto {
    margin-left: auto !important;
}
.vid-l-contents .vid-l-text h4 a {
font-size: 20px;
font-weight: 600;
color:#222222;
}
.vid-l-contents .vid-l-text h3 {
font-size: 16px;
font-weight: 600;
color:#666666;
}
.align-items-center {
	-webkit-box-align:center!important;
	-ms-flex-align:center!important;
	align-items:center!important
}
.d-sm-flex {
	display:-webkit-box!important;
	display:-ms-flexbox!important;
	display:flex!important
}

.videos-1 {
    background-size: cover;
    background-position: center center;
}

.each-l-videos {
    background-color: #fff;
    padding: 12px;
    box-shadow: 0 4px 11px 2px rgba(0, 0, 0, 0.04);
    border-radius: 5px;
    margin-bottom: 17px;
  	border:4px solid #f5f5f5;
  transition: all .5s;
}
.each-l-videos:hover {
  border:4px solid {{item.bg_hover_img}};
  transition: all .5s;
}

.each-l-videos .vid-l-contents {
    padding-left: 20px;
    width: 80%;
    padding-right: 9px;
}
.{{uc_id}}.videos-scroll .vid-l-text p {
padding: 0 !important;
}
.each-l-videos {
padding: 9px 12px;
}
.each-l-videos .vid-l-img {
    border-radius: 5px;
    overflow: hidden;
    width: 20%;
    position: relative;
 transition: all .4s;
}
.each-l-videos .vid-l-img {
  	background:{{item.bg_hover_img}};
  transition: all .4s;
}
.vid-l-contents .vid-l-text h4 {
    font-size: 21px;
    font-weight: 500;
  	line-height:32px;
}

.vid-l-contents .vid-l-text p {
    margin: 0;
}

.each-l-videos .vid-l-img img {
    width: 100%;
}

.each-l-videos .vid-l-contents .vid-l-text {
    border-bottom: 1px solid rgba(34, 27, 60, 0.1);
    margin-bottom: 2px;
    padding-bottom: 8px;
}

.video-footer div:first-child {
    margin-right: 20px;
}

.video-footer div:not(:last-child) i {
    margin-right: 6px;
}

.video-footer {
    font-size: 13px;
}

.each-l-videos .vid-l-img .play-video {
    position: absolute;
    left: 50%;
    top: 50%;
    color: #fff;
    transform: translate(-50%, -50%);
    width: 50px;
    height: 50px;
    display: inline-block;
    text-align: center;
    line-height: 48px;
    border: 2px solid #fff;
    border-radius: 50%;
    opacity: 0;
}

.each-l-videos:hover .vid-l-img img {
    opacity: .1;
}

.each-l-videos:hover .vid-l-img .play-video {
    opacity: 1;
}

.videos-scroll {
    max-height: 495px;
    overflow-y: auto;
    padding-right: 13px;
}

.videos-scroll::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: transparent;
}

.videos-scroll::-webkit-scrollbar {
    width: 0px;
    background-color: transparent;
}

.videos-scroll::-webkit-scrollbar-thumb {
    background-color: transparent;
}
.{{uc_id}} li.vddp{

}

@media only screen and (max-width: 575px) {
.each-l-videos .vid-l-img {
     width: 60%; 
}
.each-l-videos .vid-l-contents {
    width: 100%;
}
.each-l-videos {
    padding: 20px 23px;
}
}
.each-l-videos .modal {
top:20%!important;
}

.videoul li:last-child {
float:right;
}