<div class="uc_post_list_box">
  	{% if post_list_show_image == "true" %}
    <div class="uc_post_list_image">
      <a href="{{item.post_list.link}}" title="{{item.post_list.title}}">
         {% if item.post_list.image is empty %}
            <img src="{{uc_assets_url}}/placeholder.jpeg">
        {% else %} 
            <img src="{{item.post_list.image}}" {{item.post_list.image_attributes|raw}}>
        {% endif %}	
        
      </a>
    </div>
  	{% endif %}	
  
    <div class="uc_post_list_content">
      <div class="uc_post_list_content_inside">
        
          {% if show_category == "cat" or show_category == "bytax" %}
          
        	{% if show_category == "cat" %}
        		{% set arrcats = item.post_list.categories %}
        	{% else %}
        		{% set arrcats =  getPostTerms(item.post_list.id, cat_tax, false) %}        		
			{% endif %}
        
        	<div class="ue-grid-item-category">
              {% for cat in arrcats %}
              <a href="{{cat.link}}">{{cat.name}}</a>
              {% endfor %}
        	</div>
        
          {% elseif show_category == "main" %}
        
        	<div class="ue-grid-item-category">
              <a href="{{item.post_list.category_link}}">{{item.post_list.category_name}}</a>
        	</div>
        	
          {% endif %}
              
          {% if meta_data == "before" %}
          <div class="ue-grid-item-meta-data">
            {% if show_date == "true" %}<div class="ue-grid-item-meta-data-date"><span class="ue-grid-item-meta-data-icon">{{date_icon_html|raw}}</span> {{item.post_list.date|ucdate("d F, Y")|raw}}</div>{% endif %}
            {% if show_author == "true" %}<div class="ue-grid-item-meta-data-author"><span class="ue-grid-item-meta-data-icon">{{author_icon_html|raw}}</span> {% set author = getPostAuthor(item.post_list.author_id) %} {{author.name}}</div>{% endif %}
            
            {% if(show_custom_meta == true) %}
            
            	{% set custom_field_value = ucfunc("get_post_custom_field", item.post_list.id,custom_meta_name)%} 
            	
            	<div class="ue-grid-custom-meta">{{meta_field_before|raw}} <b>{{custom_field_value|raw}}</b> {{meta_field_after|raw}}</div>
            {% endif %}
            
            
          </div>
          {% endif %}
        
         {% if post_list_show_title == "true" %}<{{title_html_tag}} class="uc_post_list_title"><a href="{{item.post_list.link}}" title="{{item.post_list.title}}">{{item.post_list.title|raw}}</a></{{title_html_tag}}>{% endif %}	
         
        
          {% if meta_data == "after" %}
          <div class="ue-grid-item-meta-data">
            {% if show_date == "true" %}<div class="ue-grid-item-meta-data-date"><span class="ue-grid-item-meta-data-icon">{{date_icon_html|raw}}</span> {{item.post_list.date|ucdate("d F, Y")|raw}}</div>{% endif %}
            {% if show_author == "true" %}<div class="ue-grid-item-meta-data-author"><span class="ue-grid-item-meta-data-icon">{{author_icon_html|raw}}</span> {% set author = getPostAuthor(item.post_list.author_id) %} {{author.name}}</div>{% endif %}
			
            {% if(show_custom_meta == true) %}
            
            	{% set custom_field_value = ucfunc("get_post_custom_field", item.post_list.id,custom_meta_name)%} 
            	
            	<div class="ue-grid-custom-meta">{{meta_field_before|raw}} <b>{{custom_field_value|raw}}</b> {{meta_field_after|raw}}</div>
            {% endif %}
            
          </div>
          {% endif %}
                
         {% if show_text == "true" %}<div class="uc_post_content">{{item.post_list.intro_full|truncate(intro_number_of_characters)|raw}}</div>{% endif %}	
         {% if button == "content" %}<div><a href="{{item.post_list.link}}" class="uc_more_btn {{button_hover_effect}}" title="{{button_title}}">{{button_text|raw}}</a></div>{% endif %}	
      </div>
    </div>
     
     {% if button == "side" %}
     <div class="button-on-side">
      	<a href="{{item.post_list.link}}" class="uc_more_btn {{button_hover_effect}}" title="{{button_text}}">{{button_text|raw}}</a>
     </div>
     {% endif %}
  
</div>