<div class="ue-event-list-item">
  
  {% if item.badge is empty %}{% else %} 
    <div class="ue_badge">{{item.badge|raw}}</div>  
  {% endif %}
  
  {% if show_image == "true" %}
  <div class="ue-event-list-item-image">
  	<img src="{{item.image}}" alt="{{item.image_alt}}" {{item.image_attributes|raw}}>
  </div>
  <div class="ue-event-list-item-image-spacing"></div>
  {% endif %}
  
  {% if show_calendar == "after_image" %}
  
  <div class="ue-event-list-item-calendar">
     <div class="ue-event-list-item-calendar-container">
       <div class="ue-event-list-item-calendar-day">{{item.calendar_day|raw}}</div>
       <div class="ue-event-list-item-calendar-month">{{item.calendar_month|raw}}</div>
     </div>
  </div>
  <div class="ue-event-list-item-calendar-spacing"></div>
  {% endif %}
  
  <div class="ue-event-list-item-details">
      <div class="ue-event-list-item-details-title">{{item.title|raw}}</div>
      <div class="ue-event-list-item-details-attributes">
        {% if item.event_location is empty %}{% else %} 
        <div class="ue-event-list-item-details-attributes-location">
          <div class="ue-event-list-item-details-attributes-icon">{{location_icon_html|raw}}</div>
          <div class="ue-event-list-item-details-attributes-label">{{item.event_location|raw}}</div>
        </div>
        {% endif %}
        
        {% if item.event_date is empty %}{% else %} 
        <div class="ue-event-list-item-details-attributes-date">
          <div class="ue-event-list-item-details-attributes-icon">{{date_icon_html|raw}}</div>
          <div class="ue-event-list-item-details-attributes-label">{{item.event_date|raw}}</div>
        </div>
        {% endif %}
        
        {% if item.event_time is empty %}{% else %} 
        <div class="ue-event-list-item-details-attributes-time">
          <div class="ue-event-list-item-details-attributes-icon">{{time_icon_html|raw}}</div>
          <div class="ue-event-list-item-details-attributes-label">{{item.event_time|raw}}</div>
        </div>
        {% endif %}
        
        {% if item.event_price is empty %}{% else %} 
        <div class="ue-event-list-item-details-attributes-price">
          <div class="ue-event-list-item-details-attributes-icon">{{price_icon_html|raw}}</div>
          <div class="ue-event-list-item-details-attributes-label">{{item.event_price|raw}}</div>
        </div>
        {% endif %}
        
      </div>
      <div class="ue-event-list-item-details-text">
        {{item.description|raw}}
      </div>
      
      {% if show_button == "true" and button_position == "in_content" %}
      <div class="ue-event-list-item-details-cta">
        <a class="ue-btn {{button_hover_effect}}" href="{{item.link}}" {{item.link_html_attributes|raw}}>{{button_text|raw}}</a>
      </div>
      {% endif %}
    
  </div>
  
  {% if show_calendar == "on_end" %}
  <div class="ue-event-list-item-calendar-spacing"></div>
  <div class="ue-event-list-item-calendar">
     <div class="ue-event-list-item-calendar-container">
       <div class="ue-event-list-item-calendar-day">{{item.calendar_day|raw}}</div>
       <div class="ue-event-list-item-calendar-month">{{item.calendar_month|raw}}</div>
     </div>
  </div>
  {% endif %}
  
  {% if show_button == "true" and button_position == "on_side" %}
      <div class="ue-event-list-item-details-cta">
        <a class="ue-btn {{button_hover_effect}}" href="{{item.link}}" {{item.link_html_attributes|raw}}>{{button_text|raw}}</a>
      </div>
  {% endif %}
  
</div>
<div class="ue-event-list-item-separator"></div>