<div class="ue-google-map__info-window">
    {% if show_info_window_image == "true" %}
	<div class="ue-google-map__info-window-img"><img  src="{{item.place_image}}" alt="{{item.place_image_alt}}" /></div>
	{% endif %}
    
    {% if show_info_window_title == "true" %}
    <div class="ue-google-map__info-window-title">{{item.title|raw}}</div>
    {% endif %}
    
    <div class="ue-google-map__info-window-content">
      
        {% if item.place_address is empty %}
        {% else %} 
            <div class="ue-google-map__info-wrapper"> 
            <span class="ue-google-map__info-icon">{{address_icon_html|raw}}</span>   
            <span class="ue-google-map__info">{{item.place_address|raw}}</span> 
            </div>  
        {% endif %}	
      
        {% if item.place_phone is empty %}
        {% else %} 
            <div class="ue-google-map__info-wrapper"> 
            <span class="ue-google-map__info-icon">{{phone_icon_html|raw}}</span>   
            <a class="ue-google-map__info" href="tel:{{item.place_phone|raw}}">{{item.place_phone|raw}}</a> 
            </div>  
        {% endif %}
      
      {% if item.place_website is empty %}
        {% else %} 
            <div class="ue-google-map__info-wrapper"> 
              <span class="ue-google-map__info-icon">{{website_icon_html|raw}}</span>   
              <span class="ue-google-map__info" ><a href="http://{{item.place_website|raw}}">{{item.place_website|raw}}</a></span> 
            </div>  
        {% endif %}
      
      {% if item.place_hours is empty %}
        {% else %} 
            <div class="ue-google-map__info-wrapper"> 
            <span class="ue-google-map__info-icon">{{business_hours_icon_html|raw}}</span>   
            <span class="ue-google-map__info" >{{item.place_hours|raw}}</span> 
            </div>  
        {% endif %}	

      
      {% if item.place_content is empty %}
        {% else %} 
            <div class="ue-google-map__info-window-description">{{item.place_content|raw}}</div>
        {% endif %}	
      
    </div>
</div>