<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package Chirsty
 * @since Chirsty 1.0
 */

get_header(); 
$col= 'col-md-12';
if ( is_active_sidebar( 'give-forms-sidebar' ) ) {
    $col = 'col-md-8';
} ?>     
<div class="main-content-area">
	<div class="container clearfix">
		<div class="row">
			<div id="primary" class="content-area <?php echo esc_attr( $col ); ?>">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'loop/content', 'chirsty' ); ?>
					<?php if (chirsty_get_option('comments_on_pages') == false) { ?>
					<?php if ( comments_open() || '0' != get_comments_number() )
					comments_template(); ?>
					<?php } ?> 
				<?php endwhile; // end of the loop. ?>
			</div> <!--/#primary -->
			<?php get_sidebar('give'); ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>