    <nav id="site-nav" class="colorf navbar navbar-default navbar-top">
        <div class="container">
			<div class="row">
				<div class="col-md-12">
					<div class="navbar-header">
						<?php $logo = chirsty_get_option('logo'); ?>
						<?php $logo_width = chirsty_get_option( 'logo_width', '91' ); $logo_height = chirsty_get_option( 'logo_height', '24' ); ?>        
						<?php if(!empty($logo['url'])) : ?>
							<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' )); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" >
								<img width="<?php echo esc_attr( $logo_width ); ?>" height="<?php echo esc_attr( $logo_height ); ?>" src="<?php echo esc_url( $logo['url'] ); ?>" alt="<?php bloginfo( 'name' ); ?>" />
								
							</a>  
							
					   <?php else: ?>
						   <?php  $logo_default = CHIRSTY_THEME_URI.'/images/logo.png'; ?>
									
								<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' )); ?>" title="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" >
								<img  src="<?php echo esc_url( $logo_default ); ?>" alt="<?php bloginfo( 'name' ); ?>" />
								
							</a>  
							<?php if (chirsty_get_option('header_description')) { ?>                            
							<p class="site-desc" ><?php echo esc_attr( get_bloginfo( 'description' ) ); ?></p>
							<?php } ?>                       
						<?php endif; ?>
					</div> <!-- navbar-header -->
			
					
					     <?php if ( has_nav_menu( 'primary' ) ) : ?>
							<div class="collapse navbar-collapse navbar-right">
								<?php chirsty_main_nav(); ?>
							</div> <!-- site-menu -->
							<a class="navbar-toggle" onclick="openNav()">
								<span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'chirsty' ); ?></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
								<span class="icon-bar"></span>
							</a>
						<?php endif; ?>
					
					
					<div id="mySidenav" class="sidenav">
						<a href="<?php echo esc_url( __( 'javascript:void(0)', 'chirsty' ) ); ?>" class="closebtn" onclick="closeNav()">&times;</a>
						<div class="sp-module">
							<?php chirsty_main_nav_mobile(); ?>
						</div>
					</div>
					<!-- site-menu -->
					
				</div> 
			</div> 
        </div>  <!-- container -->
    </nav> 