<?php
/**
 * @package Chirsty
 * @since Chirsty 1.0
 */


get_header(); 

$col= 'col-md-12';
if ( is_active_sidebar( 'sidebar' ) ) {
    $col = 'col-md-8';
} ?>

<div class="main-content-area">
	<div class="container clearfix">
		<div class="row">
			<div id="primary" class="content-area <?php echo ( esc_attr( $col ) );?>">
				<?php if ( have_posts() ) : ?>
					<header class="entry-header">
						<h2 class="search-title">
						<?php printf( esc_html__( ' Search Results found for' , 'chirsty') . '<span class="text-muted"> %s</span>', get_search_query() ); ?>
						</h2>
					</header>
					<?php /* Start the Loop */ ?>
					<?php while ( have_posts() ) : the_post(); ?>
					<?php get_template_part( 'loop/content', 'search' ); ?>
					<?php endwhile; ?>
					<?php else : ?>
					<?php get_template_part( 'loop/content', 'none' ); ?>
				<?php endif; ?>
				<?php the_posts_pagination(); ?>
				
			</div> <!--#primary -->
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>
<?php get_footer();