.{{uc_id}}.boxhover {
background: {{bg_color}};
text-align: {{align_all}};
height: 333px;
transition: .3s all ease-in-out;
}
.{{uc_id}}.boxhover .icon {
color: {{color_normal}};
font-size: 100px;
}
.{{uc_id}}.boxhover .title {
color: {{title_color}};
font-size: 28px; 
line-height: 39px;
font-weight: bold;
margin-top: 20px;
}
.{{uc_id}}.boxhover .description {
color: {{color_normal}};
font-size: 17px; 
line-height: 28px;
font-weight: 600;
opacity: 0;
margin-top: 15px;
}
.{{uc_id}}.boxhover:hover .icontwo,
.{{uc_id}}.boxhover:hover .icon,
.{{uc_id}}.boxhover:hover .title,
.{{uc_id}}.boxhover:hover .description {
color: {{color_hover}};
transition: .4s all ease-in-out;
}
.{{uc_id}}.boxhover:hover .description {
opacity: 1;
}

.{{uc_id}}.boxhover:hover {
background: {{bg_color_hover}};
transition: .4s all ease-in-out;
}
.{{uc_id}}.boxhover .normal {
opacity: 1;
margin: 0;
position: absolute;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
width: 100%;
transition: .3s all ease-in-out;
padding: {{padding_box|raw}}px;
}
.{{uc_id}}.boxhover:hover .normal {
opacity: 0;
transition: .3s all ease-in-out;
}
.{{uc_id}}.boxhover .hover {
padding: {{padding_box|raw}}px;
opacity: 0;
margin: 0;
position: absolute;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
width: 100%;
transition: .3s all ease-in-out;
}
.{{uc_id}}.boxhover .hover .title,
.{{uc_id}}.boxhover .hover .description {
z-index: 99;
}
.{{uc_id}}.boxhover .hover .icontwo {
z-index: 0;
}
.{{uc_id}}.boxhover:hover .hover {
opacity: 1;
transition: .3s all ease-in-out;
}
.{{uc_id}}.boxhover .icontwo {
font-size: 196px;
color: {{color_normal}};
opacity: 15%;
z-index: 0;
margin: 0;
position: absolute;
top: 50%;
left: 50%;
transform: translate(-50%, -50%);
transition: .3s all ease-in-out;
}