.{{uc_id}}.blog .hentry {
background: transparent !important;
box-shadow: 2px 3.5px 16px 0 rgba(0, 0, 0, 0) !important;
}

.{{uc_id}}.blog .vp-portfolio__items-style-default .vp-portfolio__item-meta-title {
font-size: {{title_size|raw}}px !important;
color: {{color_title}} !important;
font-weight: 600;
line-height: 1.3;
}
.{{uc_id}}.blog .vp-portfolio__item-meta-part-icon {
color: {{color_icon}} !important;
font-size: 14px !important;
}
.{{uc_id}}.blog .vp-portfolio__item-overlay {
background: #fff;
margin: auto;
z-index: 9999;
position: relative;
}
@media (min-width: 1024px) {
.{{uc_id}}.blog .vp-portfolio__item-overlay {
margin: -250px auto auto auto;
width: 50%;
padding: 25px;
}
}
@media (max-width: 1023px) {
.{{uc_id}}.blog .vp-portfolio__item-overlay {
margin: -80px auto auto auto;
width: 90%;
padding: 15px;
}
}
.{{uc_id}}.blog .vp-portfolio__items-style-default .vp-portfolio__item-meta > * {
margin-bottom: 15px !important;
}
.{{uc_id}}.blog .vp-portfolio__item-meta-part.vp-portfolio__item-meta-date .vp-portfolio__item-meta-part-icon {
display: none !important;
}
.{{uc_id}}.blog .vp-portfolio__item-meta-date .vp-portfolio__item-meta-part-text {
color: #fff;
background: {{color_icon}};
border-radius: 50px;
padding: 7px 20px;
}
.{{uc_id}}.blog .vp-portfolio__items-style-default .vp-portfolio__item-meta-inline {
font-size: 15px;
}
.{{uc_id}}.blog .vp-portfolio {
box-shadow: 0 2px 15px 2px rgba(0, 0, 0, 0) !important;
--vp-layout-slider--arrows__box-shadow: 0 2px 15px 2px rgba(0, 0, 0, 0) !important;
--vp-layout-slider--arrows__box-shadow: 0 2px 15px 2px rgba(0, 0, 0, 0) !important;
}
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow,
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow-prev {
background: {{color_icon}};
width: 90px;
height: 90px;
outline-offset: 50px;
opacity: 92%;
color: #fff;
border-radius: 0px;
top: 60%;
}
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow {
right: 33px;
}
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow-prev {
left: 33px;
}
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow:hover,
.{{uc_id}}.blog [data-vp-layout="slider"] .vp-portfolio__items-arrow-prev:hover {
opacity: 100%;
}
.{{uc_id}}.blog .vp-portfolio__items-style-default .vp-portfolio__item a:hover, 
.{{uc_id}}.blog .vp-portfolio__items-style-default .vp-portfolio__item a:focus,
.{{uc_id}}.blog a:hover {
color: {{color_icon}};
}
[data-vp-layout="slider"] .vp-portfolio__item-img-wrap, 
[data-vp-layout="slider"] .vp-portfolio__thumbnail-img-wrap {
height: {{height|raw}}px !important;
}
.{{uc_id}}.blog .vp-portfolio__items-style-default {
--vp-items-style-default--image-hover__transform: scale(1) !important;
}