#{{uc_id}} .feature-image-box {
text-align:{{align}};
padding: {{padding|raw}};
transition: all 500ms ease 0s;
}
#{{uc_id}} .feature-image-box:hover {
transform: translateY(-10px);
transition: all 500ms ease 0s;
}
#{{uc_id}} .feature-image-box:after {
    background-color: {{color_background}};
      content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}
#{{uc_id}} .feature-image-box:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    background-image: url({{image_background}});
    background-size: cover;
    background-position: center;
    opacity: 1;
}
#{{uc_id}} .feature-image-box .icon {
margin-bottom: 25px;
}
#{{uc_id}} .feature-image-box .z-index8080 {
	z-index: 99;
  	position: relative;
  	display: block;
}
#{{uc_id}} .feature-image-box .button {
transform: translateY(40px);
border-radius: 80px;
text-transform: {{title_transform}};
}
@media (max-width: 1023px) {
#{{uc_id}} .feature-image-box .button {
width: 250px;
}
}
#{{uc_id}} .feature-image-box .button a {
border-radius: 80px;
background:{{button_background}};
color: {{button_color}};
padding: 19px 37px 19px 37px;
margin-left: auto;
margin-right: auto;
display: inline;
font-size: 16px;
font-weight: 600;
line-height: 28px;
box-shadow: 0px 0px 10px rgba(150, 150, 150, 0.22);
vertical-align: middle;
}
#{{uc_id}} .feature-image-box:hover .button a,
#{{uc_id}} .feature-image-box .button a:hover {
color:{{button_background}};
background: {{button_color}};
}
#{{uc_id}} .feature-image-box .text p,
#{{uc_id}} .feature-image-box .text h3 {
color: #ffffff;
}

#{{uc_id}} .feature-image-box h3 {
font-size: 26px;
font-weight: 600;
}
#{{uc_id}} .feature-image-box .text p {
font-size: 18px;
font-weight: 400;
}