.{{uc_id}}.blog-list-news .sppb-article-info-wrap h3 {
font-size: 24px;
font-weight: 600;
line-height: 34px;
}
.{{uc_id}}.blog-list-news .sppb-article-info-wrap h3 a {
color:{{color_2}};
}
.{{uc_id}}.blog-list-news .sppb-article-info-wrap {
background-color: {{background_color}};
padding: 25px 2px;
padding-top: 10px;
padding-bottom: 33px;
position: relative;
}
.{{uc_id}}.blog-list-news .sppb-article-info-wrap i {
font-size: 17px;
margin-right: 8px;
color:  {{color}};
width: 20px;
}
.{{uc_id}}.blog-list-news .sppb-meta-date {
display: inline-block;
font-size: 18px;
padding: 0px 0px;
z-index: 5;
color: #666666;
transition: all 0.4s ease-out 0s;
}

.{{uc_id}}.blog-list-news .sppb-addon-article .sppb-readmore:hover {
border: 0px solid #fff;
background:#fff;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .sppb-readmore {
border: 0px solid #fff;
padding: 14px 37px;
opacity: 0;
transition: all 0.4s ease-out 0s;
color: #fff;
border-radius: 80px;
background: {{color}};
min-width: 200px;
font-size: 16px;
font-weight: 600;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .sppb-readmore:hover {
color:{{color_2}} !important;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .sppb-readmore a {
font-size: 14px;
color: #fff;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .sppb-addon-article:hover .sppb-readmore{
opacity: 1;
transition: all 0.4s ease-out 0s;
}

.{{uc_id}}.blog-list-news img {
height: 309px;
object-fit: cover;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .sppb-readmore {
z-index:99;
position: absolute;
top: 50%;
left: 50%;
-webkit-transform: translate(-50%, -50%);
-moz-transform: translate(-50%, -50%);
-ms-transform: translate(-50%, -50%);
-o-transform: translate(-50%, -50%);
transform: translate(-50%, -50%);
}

.{{uc_id}}.blog-list-news .sppb-article-img-wrap:before {
background: {{color_2}};
position: absolute;
content: close-quote;
left: 0;
top: 0;
right: 0;
bottom: 0;
opacity: 0;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .image-case {
position: relative;
overflow: hidden;
}

.{{uc_id}}.blog-list-news .image-case:before {
position: absolute;
content: close-quote;
left: 0;
top: 0;
right: 0;
bottom: 0;
opacity: 0;
transition: all 0.4s ease-out 0s;
background: #000000;
}
.{{uc_id}}.blog-list-news .sppb-addon-article:hover .image-case:before {
opacity: .8;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .image-case img {
width: 100%;
}
.{{uc_id}}.blog-list-news .sppb-addon-article {
margin-bottom:{{margin_bottom}}px;
}

@media (max-width: 1023px) {
.{{uc_id}}.blog-list-news .sppb-addon-article {
margin-bottom: 30px !important;
}
}
.{{uc_id}}.blog-list-news .sppb-article-introtext {
display: {{shoe_intro}};
}

.{{uc_id}}.blog-list-news .dateandmonth {
text-align: center;
color: #ffffff;
min-width: 80px;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .sppb-addon-article:hover .dateandmonth {
opacity: 0;
transition: all 0.4s ease-out 0s;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .dateandmonth {
position: absolute;
bottom: 20px;
left: 20px;
transition: all 0.4s ease-out 0s;
opacity: 1;
z-index: 5;
}
.{{uc_id}}.blog-list-news .sppb-addon-article:hover .image-case-bx {
opacity: 0;
}
.{{uc_id}}.blog-list-news .sppb-addon-article .image-case-bx {
background: {{color}};
opacity: 40%;
width: 180px;
height: 180px;
position: absolute;
bottom: -80px;
left: -80px;
display: block;
border-radius: 100%;
transition: all .4s ease-out;
content: " ";
z-index: 0;
}
.{{uc_id}}.blog-list-news .dateandmonth .eventday {
font-size: 50px;
font-weight: 700;
}
.{{uc_id}}.blog-list-news .dateandmonth .eventday sup {
font-size: 20px;
font-weight: 600;
top: -12px;
}
.{{uc_id}}.blog-list-news .dateandmonth .eventmonth {
font-size: 14px;
font-weight: 600; 
margin-top: -15px;
}
.{{uc_id}}.blog-list-news .dateandmonth {
background: {{color}};
border-radius: 180px;
width: 135px;
height: 135px;
}